libogg documentation | libogg release 1.0 - 20000615

# ogg_page_granulepos

declared in "ogg/ogg.h";

Returns the exact granular position of the packet data contained at the end of this page.

This is useful for tracking location when seeking or decoding.

For example, in audio codecs this position is the pcm sample number and in video this is the frame number.

    int ogg_page_granulepos(ogg_page *og);

### Parameters

og
  Pointer to the current ogg_page struct.

### Return Values

> - n is the specific last granular position of the decoded data contained in the page.

copyright © 2000 xiph.org | Ogg Vorbis team@xiph.org
libogg documentation | libogg release 1.0 - 20000615